Bug 442248 - Add patches necessary for gnome-lirc-properties
Add patches necessary for gnome-lirc-properties
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lirc (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 442329
  Show dependency treegraph
 
Reported: 2008-04-13 07:56 EDT by Bastien Nocera
Modified: 2008-06-10 17:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-10 17:37:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
lirc-g-l-p-support.patch (8.35 KB, patch)
2008-04-14 06:31 EDT, Bastien Nocera
no flags Details | Diff
lirc-g-l-p-support-2.patch (16.46 KB, patch)
2008-05-11 08:14 EDT, Bastien Nocera
no flags Details | Diff
lirc-g-l-p-support-3.patch (14.60 KB, patch)
2008-05-12 09:39 EDT, Bastien Nocera
no flags Details | Diff
0001-Use-new-instead-of-conf-as-filename-suffix.patch (842 bytes, patch)
2008-05-13 15:20 EDT, Bastien Nocera
no flags Details | Diff
0002-Add-resume-switch-to-irrecord.patch (3.36 KB, patch)
2008-05-13 15:20 EDT, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2008-04-13 07:56:47 EDT
https://code.fluendo.com/remotecontrol/svn/trunk/patches/
contains two patches which are necessary to get gnome-lirc-properties working
with lircd.

The patches have been submitted upstream:
http://thread.gmane.org/gmane.comp.hardware.lirc/6439
but without much feedback.

Both patches seem sane to me, and the resume switch for irrecord is another
option, so shouldn't cause problems with existing applications.
Comment 1 Bastien Nocera 2008-04-14 06:12:51 EDT
And an additional patch for include support in lirc.conf, used by
gnome-lirc-properties as well:
http://patches.ubuntu.com/l/lirc/extracted/27_multiple_include.dpatch
Comment 2 Bastien Nocera 2008-04-14 06:31:52 EDT
Created attachment 302325 [details]
lirc-g-l-p-support.patch

Patch against CVS.

0001-* needed updating.
Comment 3 Ville Skyttä 2008-04-14 14:13:48 EDT
Regarding the "include" patch - wouldn't a lirc.conf.d directory from where all
*.conf would be loaded in alphabetical order (in the C locale) be a better
option than the include directive?  That way new config snippets could be just
dropped there and the main config file could stay unmodified or wouldn't even
have to exist.  Of course if the include directive supported wildcards,
lircd.conf.d could be implemented with it (eg. httpd.conf, ld.so.conf style).

Apart from that detail, the patches sound sane to me.  A clear upstream buy-in
would be very much welcome though, I'd rather not maintain non-upstream patches
myself in the long term.  Of course, more lirc co-maintainers are welcome in
case you're willing to maintain these patches if needed (or lirc otherwise) in
the future.
Comment 4 Bastien Nocera 2008-04-15 12:16:10 EDT
I talked to Mario, the Ubuntu lirc maintainer, about the include patch. It was
submitted upstream:
http://www.nabble.com/PATCH%3A-Add-support-for-include-directive-in-lircd.conf-to14545188.html#a14545188

I'll rework the patch to fix the problems Christoph mentioned.
Comment 5 Bastien Nocera 2008-04-16 10:13:40 EDT
Updated patch posted. It changes the syntax for include as well, for which
gnome-lirc-properties would need to be updated.
Comment 6 Bastien Nocera 2008-05-11 08:13:52 EDT
(In reply to comment #3)
> Regarding the "include" patch - wouldn't a lirc.conf.d directory from where all
> *.conf would be loaded in alphabetical order (in the C locale) be a better
> option than the include directive?  That way new config snippets could be just
> dropped there and the main config file could stay unmodified or wouldn't even
> have to exist.  Of course if the include directive supported wildcards,
> lircd.conf.d could be implemented with it (eg. httpd.conf, ld.so.conf style).

The patch has been accepted upstream. I snatched it from the upstream CVS, and
updated the patch in the patch.

> Apart from that detail, the patches sound sane to me.  A clear upstream buy-in
> would be very much welcome though, I'd rather not maintain non-upstream patches
> myself in the long term.  Of course, more lirc co-maintainers are welcome in
> case you're willing to maintain these patches if needed (or lirc otherwise) in
> the future.

I'm not that hot on maintaining lirc, but I'd be happy to look at any problems
with the patches I'm providing.
Comment 7 Bastien Nocera 2008-05-11 08:14:38 EDT
Created attachment 305060 [details]
lirc-g-l-p-support-2.patch

Updated patch with upstream include support.
Comment 8 Bastien Nocera 2008-05-12 09:39:21 EDT
Created attachment 305125 [details]
lirc-g-l-p-support-3.patch

Minus init files changes from bug 442341
Comment 9 Jarod Wilson 2008-05-12 18:14:10 EDT
Personally, I prefer patch attachments as patches, not patches that generate
patches, those are too hard to review without actually applying them, and
whether or not to apply them is one of the things to be considered when
reviewing them... :)

Anyhow, I've gone ahead and patched in the upstream include support, but not the
other bits that aren't upstream, as I've not looked at them all that closely
just yet.
Comment 10 Bastien Nocera 2008-05-13 15:19:18 EDT
The other 2 patches are similar to what was posted upstream. The first one
needed a shoehorn to get in, but that's about it.
Comment 11 Bastien Nocera 2008-05-13 15:20:25 EDT
Created attachment 305285 [details]
0001-Use-new-instead-of-conf-as-filename-suffix.patch

Updated for current sources.
Comment 12 Bastien Nocera 2008-05-13 15:20:44 EDT
Created attachment 305286 [details]
0002-Add-resume-switch-to-irrecord.patch
Comment 13 Bug Zapper 2008-05-14 05:22:27 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bastien Nocera 2008-05-22 20:28:38 EDT
Any news on those patches?
Comment 15 Jarod Wilson 2008-06-02 14:58:27 EDT
Just committed to the lirc devel branch. Would definitely like to see them get
merged upstream, so please do ping Christoph. I'll chime in upstream too, if
need be.
Comment 16 Bastien Nocera 2008-06-10 17:37:43 EDT
The patches aren't needed anymore, so we have all the patches we need for
gnome-lirc-properties, just need the init/sysconfig changes in now.

Note You need to log in before you can comment on or make changes to this bug.